Commit d3901a53 authored by Kevin Cozens's avatar Kevin Cozens Committed by Kevin Cozens

Changed minor version to an odd number (unstable version). Added macros

2006-07-28  Kevin Cozens  <kcozens@cvs.gnome.org>

	* configure.in: Changed minor version to an odd number (unstable
	version). Added macros that use the minor version number to set
	GIMPRUBY_UNSTABLE properly.
parent 3dcb87eb
2006-07-28 Kevin Cozens <kcozens@cvs.gnome.org>
* configure.in: Changed minor version to an odd number (unstable
version). Added macros that use the minor version number to set
GIMPRUBY_UNSTABLE properly.
2006-07-28 Scott Lembcke <lemb0029@gnome.org>
* gimp-lib/gimp_oo.rb: Added the Drawable class and made Layer and
......
......@@ -7,12 +7,17 @@ m4_define([plugin_name], [gimp-ruby])
dnl These three define the plug-in version number
m4_define([plugin_major_version], [0])
m4_define([plugin_minor_version], [0])
m4_define([plugin_minor_version], [1])
m4_define([plugin_micro_version], [3])
m4_define([plugin_version],
[plugin_major_version.plugin_minor_version.plugin_micro_version])
m4_define([gimp_ruby_unstable],
m4_if(m4_eval(plugin_minor_version % 2), [1], [yes], [no]))
m4_define([gimp_ruby_stable],
m4_if(m4_eval(plugin_minor_version % 2), [0], [yes], [no]))
dnl required versions of other packages
m4_define([glib_required_version], [2.4.5])
m4_define([gtk_required_version], [2.4.4])
......@@ -32,7 +37,7 @@ AC_CONFIG_SRCDIR([ext/rbgimp.h])
AM_INIT_AUTOMAKE(no-define)
AM_CONFIG_HEADER(config.h)
GIMPRUBY_UNSTABLE=yes
GIMPRUBY_UNSTABLE=gimp_ruby_unstable
AC_SUBST(GIMPRUBY_UNSTABLE)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment